tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 53871] java.lang.StackOverflowError on deploying a web application
Date Sun, 16 Sep 2012 22:29:16 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=53871

Mark Thomas <markt@apache.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|---                         |WORKSFORME

--- Comment #4 from Mark Thomas <markt@apache.org> ---
To quote from the 7.0.29 changelog:
<quote>
As per section 1.6.2 of the Servlet 3.0 specification and clarification from
the Servlet Expert Group, the servlet specification version declared in web.xml
no longer controls if Tomcat scans for annotations. Annotation scanning is now
always performed - regardless of the version declared in web.xml - unless
metadata complete is set to true.
</quote>

I suspect this is why you see the issue with 7.0.29 onwards.

However, I am unable to reproduce this, even if I drop -Xss to the bare minimum
required while allowing the JVM to start.

Please do not re-open this issue unless you can provide the exact steps to
reproduce on a clean install of the latest JVM, Tomcat 7.0.x etc.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message